/**
 * @license
 *
 * Mapify - Google Maps jQuery Plugin by Ivan Vermeyen
 * https://github.com/codezero-be/mapify
 * Released under the MIT licence: https://opensource.org/licenses/mit-license
 *
 * OverlappingMarkerSpiderfier by George MacKerron
 * https://github.com/jawj/OverlappingMarkerSpiderfier
 * Released under the MIT licence: https://opensource.org/licenses/mit-license
 *
 * MarkerClustererPlus for Google Maps V3 by Gary Little
 * https://github.com/googlemaps/v3-utility-library/tree/master/markerclustererplus
 * Released under the Apache License, Version 2.0: https://www.apache.org/licenses/LICENSE-2.0
 *
 */
!function(t){function i(o){if(n[o])return n[o].exports;var e=n[o]={i:o,l:!1,exports:{}};return t[o].call(e.exports,e,e.exports,i),e.l=!0,e.exports}var n={};i.m=t,i.c=n,i.i=function(t){return t},i.d=function(t,n,o){i.o(t,n)||Object.defineProperty(t,n,{configurable:!1,enumerable:!0,get:o})},i.n=function(t){var n=t&&t.__esModule?function(){return t.default}:function(){return t};return i.d(n,"a",n),n},i.o=function(t,i){return Object.prototype.hasOwnProperty.call(t,i)},i.p="",i(i.s=4)}([function(t,i){var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t};!function(t,i,o,e){"use strict";function s(i,n){this.mapContainer=i,this.$map=t(i),this.options=t.extend({},r,n,this.getMapDataAttributes()),this.map=null,this.markers=[],this.bounds=[],this.clusterer=null,this.spiderfier=null,this.infoWindows={},this.init()}var r={markers:[],lat:null,lng:null,centerLat:null,centerLng:null,label:null,title:null,backgroundColor:"#ffffff",mapTypes:["roadmap"],controls:["zoom"],mapTypeControlPosition:"TOP_LEFT",zoomControlPosition:"RIGHT_BOTTOM",fullscreenControlPosition:"TOP_RIGHT",streetviewControlPosition:"RIGHT_BOTTOM",rotateControlPosition:"RIGHT_BOTTOM",styles:null,gestures:"cooperative",zoom:15,scrollwheel:!1,fitbounds:!0,fitboundsPadding:50,icon:null,iconSize:null,iconOrigin:null,iconAnchor:null,iconHover:null,iconHoverSize:null,iconHoverOrigin:null,iconHoverAnchor:null,iconOpen:null,iconOpenSize:null,iconOpenOrigin:null,iconOpenAnchor:null,hoverClass:null,openClass:null,clusters:!0,clusterTitle:"",clusterCenter:!0,clusterGridSize:40,clusterMinSize:2,clusterMaxZoom:15,clusterZoomOnClick:!0,clusterRetina:!0,clusterIcon:"/images/cluster.png",clusterIconSize:"50,50",clusterTextColor:"#ffffff",clusterTextSize:12,clusterIcons:null,clusterCalculator:function(t,i){for(var n=0,o=t.length.toString(),e=o;0!==e;)e=parseInt(e/10,10),n++;return n=Math.min(n,i),{text:o,index:n,title:""}},spiderfy:!0,spiderClick:!0,spiderLegColors:{roadmap:"#444",terrain:"#444",satellite:"#fff",hybrid:"#fff"},spiderLegColorsHighlighted:{roadmap:"#f00",terrain:"#f00",satellite:"#f00",hybrid:"#f00"},spiderfierOptions:{markersWontMove:!0,markersWontHide:!1,keepSpiderfied:!0,ignoreMapClick:!1,nearbyDistance:20,circleSpiralSwitchover:9,legWeight:2,basicFormatEvents:!0},panToMarker:!1,triggerInfoWindowOnElement:!1,triggerInfoWindowOnMarker:"click",closeInfoWindowsOnMapClick:!0,infoWindowMaxWidth:null,infoWindowChildSelector:".info-window",onInitialized:null,onMapClick:null,onMarkerClick:null,onMarkerMouseEnter:null,onMarkerMouseLeave:null,onMarkerElementClick:null,onMarkerElementMouseEnter:null,onMarkerElementMouseLeave:null,onClusterClick:null,onClusterMouseEnter:null,onClusterMouseLeave:null,onSpiderMarkerFormat:null};t.extend(s.prototype,{init:function(){this.normalizeOptions(),this.createMap(),this.enableSpiderfier(),this.createMarkers(),this.setMapOptions(),this.fitBounds(),this.enableClusters(),this.openDefaultInfoWindows(),this.onInitialized()},normalizeOptions:function(){this.options.mapTypes=this.convertOptionToArray(this.options.mapTypes,["roadmap"],function(t){return google.maps.MapTypeId[t.toUpperCase()]||t}),this.options.controls=this.convertOptionToArray(this.options.controls,[],function(t){return t.toLowerCase()})},convertOptionToArray:function(t,i,n){return this.isEmpty(t)&&(t=i),this.isArray(t)||(t=this.splitValues(t)),t.map(n)},createMap:function(){this.map=new google.maps.Map(this.mapContainer),this.map.addListener("click",this.onMapClick.bind(this)),this.map.$map=this.$map,this.$map.data("map",this.map)},createMarkers:function(){t.each(this.normalizeMarkerOptions(),function(t,i){this.createMarker(i)}.bind(this)),this.isUsingMarkerElements()&&t(o).on("click",this.options.markers,this.onMarkerElementClick.bind(this)).on("mouseenter",this.options.markers,this.onMarkerElementMouseEnter.bind(this)).on("mouseleave",this.options.markers,this.onMarkerElementMouseLeave.bind(this))},createMarker:function(t){var i,n,o;o={default:this.normalizeIcon("icon",t),hover:this.normalizeIcon("iconHover",t),open:this.normalizeIcon("iconOpen",t)},n=new google.maps.Marker(this.removeEmptyObjectProperties({position:this.createLatLng(t.lat||this.options.lat,t.lng||this.options.lng),icon:o.default,icons:o,label:t.label||this.options.label,title:t.title||this.options.title,infoWindow:t.infoWindow||this.options.infoWindow,infoWindowGroup:t.infoWindowGroup||"default",infoWindowOpen:t.infoWindowOpen||this.options.infoWindowOpen,infoWindowMaxWidth:t.infoWindowMaxWidth||this.options.infoWindowMaxWidth,map:this.map})),this.isUsingMarkerElements()&&(n.$marker=t.$marker,t.$marker.data("marker",n)),n.infoWindow=this.getInfoWindowContent(n),this.createInfoWindow(n),!0===t.fitbounds&&!0===this.options.fitbounds&&(this.options.fitbounds=!1,this.bounds=[]),!0!==t.fitbounds&&!0!==this.options.fitbounds||this.bounds.push(n),this.markers.push(n),!0===t.center&&this.setCenterCoordinates(t.lat,t.lng),null!==this.spiderfier&&this.spiderfier.trackMarker(n),i=this.shouldHandleClickOnSpiderfy()?"click":"spider_click",n.addListener(i,function(t){this.onMarkerClick(n,t)}.bind(this)),n.addListener("mouseover",function(t){this.onMarkerMouseEnter(n,t)}.bind(this)),n.addListener("mouseout",function(t){this.onMarkerMouseLeave(n,t)}.bind(this))},setMapOptions:function(){this.map.setOptions(this.removeEmptyObjectProperties({center:this.getMapCenterPosition(),gestureHandling:this.options.gestures,zoom:this.options.zoom,scrollwheel:this.options.scrollwheel,backgroundColor:this.options.backgroundColor,styles:this.options.styles,mapTypeId:this.options.mapTypes[0],mapTypeControl:this.options.mapTypes.length>1,zoomControl:this.isControlEnabled("zoom"),fullscreenControl:this.isControlEnabled("fullscreen"),streetViewControl:this.isControlEnabled("streetview"),rotateControl:this.isControlEnabled("rotate"),scaleControl:this.isControlEnabled("scale"),mapTypeControlOptions:{mapTypeIds:this.options.mapTypes,position:google.maps.ControlPosition[this.options.mapTypeControlPosition]},zoomControlOptions:{position:google.maps.ControlPosition[this.options.zoomControlPosition]},fullscreenControlOptions:{position:google.maps.ControlPosition[this.options.fullscreenControlPosition]},streetViewControlOptions:{position:google.maps.ControlPosition[this.options.streetviewControlPosition]},rotateControlOptions:{position:google.maps.ControlPosition[this.options.rotateControlPosition]}}))},getMapCenterPosition:function(){if(!this.options.centerLat||!this.options.centerLng){if(0===this.markers.length)return;this.setCenterCoordinates(this.markers[0].position.lat(),this.markers[0].position.lng())}return this.createLatLng(this.options.centerLat,this.options.centerLng)},setCenterCoordinates:function(t,i){this.options.centerLat=t,this.options.centerLng=i},fitBounds:function(){if(this.bounds.length>1){var i=new google.maps.LatLngBounds;t.each(this.bounds,function(t,n){i.extend(n.position)}),this.map.fitBounds(i,this.options.fitboundsPadding)}},enableSpiderfier:function(){this.shouldDisableSpiderfier()||(this.spiderfier=new OverlappingMarkerSpiderfier(this.map,this.options.spiderfierOptions),t.each(this.options.mapTypes,function(t,i){this.spiderfier.legColors.usual[i]=this.options.spiderLegColors[i]||"#444",this.spiderfier.legColors.highlighted[i]=this.options.spiderLegColorsHighlighted[i]||"#f00"}.bind(this)),this.spiderfier.addListener("format",this.onSpiderMarkerFormat.bind(this)))},shouldDisableSpiderfier:function(){return!this.classExists("OverlappingMarkerSpiderfier")||!1===this.options.spiderfy},shouldHandleClickOnSpiderfy:function(){return null===this.spiderfier||!0===this.options.spiderClick},enableClusters:function(){this.shouldDisableClusters()||(this.clusterer=new MarkerClusterer(this.map,this.markers,{title:this.options.clusterTitle,averageCenter:this.options.clusterCenter,gridSize:this.options.clusterGridSize,minimumClusterSize:this.options.clusterMinSize,maxZoom:this.options.clusterMaxZoom,zoomOnClick:this.options.clusterZoomOnClick,enableRetinaIcons:this.options.clusterRetina,calculator:this.options.clusterCalculator,styles:this.getClustersIconStyles()}),this.clusterer.addListener("click",this.onClusterClick.bind(this)),this.clusterer.addListener("mouseover",this.onClusterMouseEnter.bind(this)),this.clusterer.addListener("mouseout",this.onClusterMouseLeave.bind(this)))},shouldDisableClusters:function(){return!this.classExists("MarkerClusterer")||!1===this.options.clusters||this.markers.length<2},getClustersIconStyles:function(){if(this.isArray(this.options.clusterIcons))return this.options.clusterIcons;var t=this.splitValues(this.options.clusterIconSize);return[{width:t[0],height:t[1],url:this.options.clusterIcon,backgroundPosition:"0, 0",anchorIcon:[t[1]/2,t[0]/2],anchorText:[0,0],textColor:this.options.clusterTextColor,textSize:this.options.clusterTextSize,textDecoration:"none",fontFamily:"Arial, sans-serif",fontStyle:"normal",fontWeight:"bold"}]},normalizeMarkerOptions:function(){return this.mapHasSingleMarkerCoords()?[this.normalizeMarkerElement(this.$map)]:this.isUsingMarkerElements()?this.normalizeMarkerElements():this.isArray(this.options.markers)?this.options.markers:[]},normalizeMarkerElements:function(){var i=[];return t(this.options.markers).each(function(n,o){i.push(this.normalizeMarkerElement(t(o)))}.bind(this)),i},normalizeMarkerElement:function(t){return this.removeEmptyObjectProperties({lat:t.data("lat"),lng:t.data("lng"),center:t.data("center"),fitbounds:t.data("fitbounds"),label:t.data("label"),title:t.data("title"),icon:t.data("icon"),iconSize:t.data("icon-size"),iconOrigin:t.data("icon-origin"),iconAnchor:t.data("icon-anchor"),iconHover:t.data("icon-hover"),iconHoverSize:t.data("icon-hover-size"),iconHoverOrigin:t.data("icon-hover-origin"),iconHoverAnchor:t.data("icon-hover-anchor"),iconOpen:t.data("icon-open"),iconOpenSize:t.data("icon-open-size"),iconOpenOrigin:t.data("icon-open-origin"),iconOpenAnchor:t.data("icon-open-anchor"),infoWindow:t.data("info-window"),infoWindowGroup:t.data("info-window-group"),infoWindowOpen:t.data("info-window-open"),infoWindowMaxWidth:t.data("info-window-max-width"),$marker:t})},normalizeIcon:function(t,i){var n=this.removeEmptyObjectProperties({url:i[t]||this.options[t]||this.options.icon,scaledSize:this.createSize(i[t+"Size"]||this.options[t+"Size"]||this.options.iconSize),origin:this.createPoint(i[t+"Origin"]||this.options[t+"Origin"]||this.options.iconOrigin),anchor:this.createPoint(i[t+"Anchor"]||this.options[t+"Anchor"]||this.options.iconAnchor)});return n.url?n:null},getMapDataAttributes:function(){return this.removeEmptyObjectProperties({markers:this.$map.data("markers"),lat:this.$map.data("lat"),lng:this.$map.data("lng"),centerLat:this.$map.data("center-lat")||this.$map.data("lat"),centerLng:this.$map.data("center-lng")||this.$map.data("lng"),backgroundColor:this.$map.data("background-color"),mapType:this.$map.data("map-type"),gestures:this.$map.data("gestures"),zoom:this.$map.data("zoom"),scrollwheel:this.$map.data("scrollwheel"),controls:this.$map.data("controls"),mapTypeControlPosition:this.$map.data("map-type-control-position"),zoomControlPosition:this.$map.data("zoom-control-position"),fullscreenControlPosition:this.$map.data("fullscreen-control-position"),streetviewControlPosition:this.$map.data("streetview-control-position"),rotateControlPosition:this.$map.data("rotate-control-position"),icon:this.$map.data("icon"),iconSize:this.$map.data("icon-size"),iconOrigin:this.$map.data("icon-origin"),iconAnchor:this.$map.data("icon-anchor"),iconHover:this.$map.data("icon-hover"),iconHoverSize:this.$map.data("icon-hover-size"),iconHoverOrigin:this.$map.data("icon-hover-origin"),iconHoverAnchor:this.$map.data("icon-hover-anchor"),iconOpen:this.$map.data("icon-open"),iconOpenSize:this.$map.data("icon-open-size"),iconOpenOrigin:this.$map.data("icon-open-origin"),iconOpenAnchor:this.$map.data("icon-open-anchor"),hoverClass:this.$map.data("hover-class"),openClass:this.$map.data("open-class"),panToMarker:this.$map.data("pan-to-marker"),closeInfoWindowsOnMapClick:this.$map.data("close-info-windows-on-map-click"),triggerInfoWindowOnMarker:this.$map.data("trigger-info-window-on-marker"),triggerInfoWindowOnElement:this.$map.data("trigger-info-window-on-element"),infoWindowMaxWidth:this.$map.data("info-window-max-width"),fitbounds:this.$map.data("fitbounds"),fitboundsPadding:this.$map.data("fitbounds-padding"),spiderfy:this.$map.data("spiderfy"),spiderClick:this.$map.data("spider-click"),clusters:this.$map.data("clusters"),clusterTitle:this.$map.data("cluster-title"),clusterCenter:this.$map.data("cluster-center"),clusterGridSize:this.$map.data("cluster-grid-size"),clusterMinSize:this.$map.data("cluster-min-size"),clusterMaxZoom:this.$map.data("cluster-max-zoom"),clusterZoomOnClick:this.$map.data("cluster-zoom-on-click"),clusterRetina:this.$map.data("cluster-retina"),clusterIcon:this.$map.data("cluster-icon"),clusterIconSize:this.$map.data("cluster-icon-size"),clusterTextColor:this.$map.data("cluster-text-color"),clusterTextSize:this.$map.data("cluster-text-size")})},isMarkerWithinBounds:function(t){return this.map.getBounds().contains(t.position)},centerMarker:function(t){this.map.panTo(t.position)},goToMarker:function(t){for(this.centerMarker(t);null===t.map&&this.map.getZoom()<20&&this.clusterer;)this.map.setZoom(this.map.getZoom()+1),this.isMarkerWithinBounds(t)||this.centerMarker(t),this.clusterer.repaint()},createInfoWindow:function(t){var i;null!==t.infoWindow&&void 0===this.infoWindows[t.infoWindowGroup]&&(i=new google.maps.InfoWindow,i.addListener("closeclick",function(){this.closeInfoWindow(i)}.bind(this)),this.infoWindows[t.infoWindowGroup]=i)},openInfoWindow:function(t){var i,n;this.closeInfoWindows(t),t.infoWindow&&(i=this.infoWindows[t.infoWindowGroup],n=t.infoWindowMaxWidth||this.options.infoWindowMaxWidth,n&&i.setOptions({maxWidth:n}),t.icons.open&&t.setIcon(t.icons.open),t.isInfoWindowOpen=!0,this.addMarkerElementOpenClass(t),i.marker=t,i.setContent(t.infoWindow),i.open(this.map,t))},closeInfoWindows:function(t){this.closeInfoWindow(this.infoWindows[t.infoWindowGroup])},closeAllInfoWindows:function(){t.each(this.infoWindows,function(t,i){this.closeInfoWindow(i)}.bind(this))},closeInfoWindow:function(t){t&&(t.marker&&(t.marker.isInfoWindowOpen=!1,t.marker.setIcon(t.marker.icons.default),this.removeMarkerElementOpenClass(t.marker)),t.marker=null,t.close())},openDefaultInfoWindows:function(){var i=[];t.each(this.markers,function(t,n){this.shouldOpenInfoWindowOnLoad(n,i)&&(i.push(n.infoWindowGroup),this.openInfoWindow(n))}.bind(this))},shouldOpenInfoWindowOnLoad:function(t,i){return-1===i.indexOf(t.infoWindowGroup)&&!0===t.infoWindowOpen&&t.infoWindow},getInfoWindowContent:function(t){var i=null;return this.isString(t.infoWindow)&&(i=this.getInfoWindowContentFromMarkerOption(t.infoWindow.trim())),i||this.getInfoWindowContentFromChildElement(t.$marker)},getInfoWindowContentFromMarkerOption:function(i){return"."===i.substr(0,1)||"#"===i.substr(0,1)?t(i).html()||null:i.length>0?i:null},getInfoWindowContentFromChildElement:function(t){return t?t.find(this.options.infoWindowChildSelector).html()||null:null},createLatLng:function(t,i){return new google.maps.LatLng(t,i)},createSize:function(t){return t=this.splitValues(t),t?new google.maps.Size(t[0],t[1]):null},createPoint:function(t){return t=this.splitValues(t),t?new google.maps.Point(t[0],t[1]):null},mapHasSingleMarkerCoords:function(){return this.options.lat&&this.options.lng},isUsingMarkerElements:function(){return this.isString(this.options.markers)},isControlEnabled:function(t){return this.options.controls.indexOf(t)>-1},isEmpty:function(t){return null===t||void 0===t||void 0===t.length||0===t.length},isString:function(t){return"string"==typeof t||t instanceof String},isArray:function(t){return null!==t&&void 0!==t&&t.constructor===Array},classExists:function(t){return"function"==typeof i[t]&&"object"===n(i[t].prototype)},splitValues:function(t){return t?(t=t.split(","),t.map(function(t){return t.trim()})):null},removeEmptyObjectProperties:function(t){for(var i in t)null!==t[i]&&void 0!==t[i]||delete t[i];return t},addMarkerElementHoverClass:function(t){this.options.hoverClass&&t.$marker&&t.$marker.addClass(this.options.hoverClass)},removeMarkerElementHoverClass:function(t){this.options.hoverClass&&t.$marker&&t.$marker.removeClass(this.options.hoverClass)},addMarkerElementOpenClass:function(t){this.options.openClass&&t.$marker&&t.$marker.addClass(this.options.openClass)},removeMarkerElementOpenClass:function(t){this.options.openClass&&t.$marker&&t.$marker.removeClass(this.options.openClass)},shouldPanToMarker:function(t,i){return this.shouldAlwaysPanToMarker(t)||this.shouldPanToMarkerBecauseClusteredOrOutOfBounds(t,i)},shouldAlwaysPanToMarker:function(t){return this.options.panToMarker===t+"-always"||this.options.triggerInfoWindowOnElement===t+"-always"},shouldPanToMarkerBecauseClusteredOrOutOfBounds:function(t,i){return!(this.options.panToMarker!==t&&this.options.triggerInfoWindowOnElement!==t||null!==i.map&&this.isMarkerWithinBounds(i))},shouldOpenInfoWindowOnElementEvent:function(t){return this.options.triggerInfoWindowOnElement===t||this.options.triggerInfoWindowOnElement===t+"-always"},onInitialized:function(){this.runUserCallback(this.options.onSpiderMarkerFormat,this.map,this.map,this.markers,this.clusterer,this.spiderfier)},onMapClick:function(t){!0===this.options.closeInfoWindowsOnMapClick&&this.closeAllInfoWindows(),this.runUserCallback(this.options.onMapClick,this.map,this.map,this.markers,this.clusterer,this.spiderfier,t)},onMarkerClick:function(t,i){"click"===this.options.triggerInfoWindowOnMarker&&this.openInfoWindow(t),this.runUserCallback(this.options.onMarkerClick,t,t,this.map,this.markers,this.clusterer,this.spiderfier,i)},onMarkerMouseEnter:function(t,i){"hover"===this.options.triggerInfoWindowOnMarker&&this.openInfoWindow(t),t.icons.hover&&t.setIcon(t.icons.hover),this.addMarkerElementHoverClass(t),this.runUserCallback(this.options.onMarkerMouseEnter,t,t,this.map,this.markers,this.clusterer,this.spiderfier,i)},onMarkerMouseLeave:function(t,i){var n;"hover"===this.options.triggerInfoWindowOnMarker&&this.closeInfoWindows(t),t.icons.hover&&(n=t.isInfoWindowOpen?"open":"default",t.setIcon(t.icons[n])),this.removeMarkerElementHoverClass(t),this.runUserCallback(this.options.onMarkerMouseLeave,t,t,this.map,this.markers,this.clusterer,this.spiderfier,i)},onMarkerElementClick:function(i){var n=t(i.currentTarget).data("marker");this.handleMarkerElementEvent("click",n,i),this.runUserCallback(this.options.onMarkerElementClick,n,n,this.map,this.markers,this.clusterer,this.spiderfier,i)},onMarkerElementMouseEnter:function(i){var n=t(i.currentTarget).data("marker");n.icons.hover&&n.setIcon(n.icons.hover),this.addMarkerElementHoverClass(n),this.handleMarkerElementEvent("hover",n,i),this.runUserCallback(this.options.onMarkerElementMouseEnter,n,n,this.map,this.markers,this.clusterer,this.spiderfier,i)},onMarkerElementMouseLeave:function(i){var n,o=t(i.currentTarget).data("marker");o.icons.hover&&(n=o.isInfoWindowOpen?"open":"default",o.setIcon(o.icons[n])),this.removeMarkerElementHoverClass(o),this.shouldOpenInfoWindowOnElementEvent("hover")&&this.closeInfoWindows(o),this.runUserCallback(this.options.onMarkerElementMouseLeave,o,o,this.map,this.markers,this.clusterer,this.spiderfier,i)},handleMarkerElementEvent:function(t,i,n){this.shouldPanToMarker(t,i)&&(n.preventDefault(),this.goToMarker(i)),this.shouldOpenInfoWindowOnElementEvent(t)&&(n.preventDefault(),this.closeInfoWindows(i),null!==i.map&&this.openInfoWindow(i))},onClusterClick:function(t){this.runUserCallback(this.options.onClusterClick,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onClusterMouseEnter:function(t){this.runUserCallback(this.options.onClusterMouseEnter,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onClusterMouseLeave:function(t){this.runUserCallback(this.options.onClusterMouseLeave,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onSpiderMarkerFormat:function(t,i){this.runUserCallback(this.options.onSpiderMarkerFormat,t,t,i,this.map,this.markers,this.clusterer,this.spiderfier)},runUserCallback:function(t,i){t instanceof Function&&t.apply(i,Array.prototype.slice.call(arguments,2))}}),t.fn.mapify=function(i){return this.each(function(){t.data(this,"plugin_mapify")||t.data(this,"plugin_mapify",new s(this,i))})}}(jQuery,window,document)},,,,function(t,i,n){t.exports=n(0)}]);