/**
 * @license
 *
 * Mapify - Google Maps jQuery Plugin by Ivan Vermeyen
 * https://github.com/codezero-be/mapify
 * Released under the MIT licence: https://opensource.org/licenses/mit-license
 *
 * OverlappingMarkerSpiderfier by George MacKerron
 * https://github.com/jawj/OverlappingMarkerSpiderfier
 * Released under the MIT licence: https://opensource.org/licenses/mit-license
 *
 * MarkerClustererPlus for Google Maps V3 by Gary Little
 * https://github.com/googlemaps/v3-utility-library/tree/master/markerclustererplus
 * Released under the Apache License, Version 2.0: https://www.apache.org/licenses/LICENSE-2.0
 *
 */
!function(t){function e(n){if(i[n])return i[n].exports;var s=i[n]={i:n,l:!1,exports:{}};return t[n].call(s.exports,s,s.exports,e),s.l=!0,s.exports}var i={};e.m=t,e.c=i,e.i=function(t){return t},e.d=function(t,i,n){e.o(t,i)||Object.defineProperty(t,i,{configurable:!1,enumerable:!0,get:n})},e.n=function(t){var i=t&&t.__esModule?function(){return t.default}:function(){return t};return e.d(i,"a",i),i},e.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},e.p="",e(e.s=5)}([function(t,e){var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t};!function(t,e,n,s){"use strict";function o(e,i){this.mapContainer=e,this.$map=t(e),this.options=t.extend({},r,i,this.getMapDataAttributes()),this.map=null,this.markers=[],this.bounds=[],this.clusterer=null,this.spiderfier=null,this.infoWindows={},this.init()}var r={markers:[],lat:null,lng:null,centerLat:null,centerLng:null,label:null,title:null,backgroundColor:"#ffffff",mapTypes:["roadmap"],controls:["zoom"],mapTypeControlPosition:"TOP_LEFT",zoomControlPosition:"RIGHT_BOTTOM",fullscreenControlPosition:"TOP_RIGHT",streetviewControlPosition:"RIGHT_BOTTOM",rotateControlPosition:"RIGHT_BOTTOM",styles:null,gestures:"cooperative",zoom:15,scrollwheel:!1,fitbounds:!0,fitboundsPadding:50,icon:null,iconSize:null,iconOrigin:null,iconAnchor:null,iconHover:null,iconHoverSize:null,iconHoverOrigin:null,iconHoverAnchor:null,iconOpen:null,iconOpenSize:null,iconOpenOrigin:null,iconOpenAnchor:null,hoverClass:null,openClass:null,clusters:!0,clusterTitle:"",clusterCenter:!0,clusterGridSize:40,clusterMinSize:2,clusterMaxZoom:15,clusterZoomOnClick:!0,clusterRetina:!0,clusterIcon:"/images/cluster.png",clusterIconSize:"50,50",clusterTextColor:"#ffffff",clusterTextSize:12,clusterIcons:null,clusterCalculator:function(t,e){for(var i=0,n=t.length.toString(),s=n;0!==s;)s=parseInt(s/10,10),i++;return i=Math.min(i,e),{text:n,index:i,title:""}},spiderfy:!0,spiderClick:!0,spiderLegColors:{roadmap:"#444",terrain:"#444",satellite:"#fff",hybrid:"#fff"},spiderLegColorsHighlighted:{roadmap:"#f00",terrain:"#f00",satellite:"#f00",hybrid:"#f00"},spiderfierOptions:{markersWontMove:!0,markersWontHide:!1,keepSpiderfied:!0,ignoreMapClick:!1,nearbyDistance:20,circleSpiralSwitchover:9,legWeight:2,basicFormatEvents:!0},panToMarker:!1,triggerInfoWindowOnElement:!1,triggerInfoWindowOnMarker:"click",closeInfoWindowsOnMapClick:!0,infoWindowMaxWidth:null,infoWindowChildSelector:".info-window",onInitialized:null,onMapClick:null,onMarkerClick:null,onMarkerMouseEnter:null,onMarkerMouseLeave:null,onMarkerElementClick:null,onMarkerElementMouseEnter:null,onMarkerElementMouseLeave:null,onClusterClick:null,onClusterMouseEnter:null,onClusterMouseLeave:null,onSpiderMarkerFormat:null};t.extend(o.prototype,{init:function(){this.normalizeOptions(),this.createMap(),this.enableSpiderfier(),this.createMarkers(),this.setMapOptions(),this.fitBounds(),this.enableClusters(),this.openDefaultInfoWindows(),this.onInitialized()},normalizeOptions:function(){this.options.mapTypes=this.convertOptionToArray(this.options.mapTypes,["roadmap"],function(t){return google.maps.MapTypeId[t.toUpperCase()]||t}),this.options.controls=this.convertOptionToArray(this.options.controls,[],function(t){return t.toLowerCase()})},convertOptionToArray:function(t,e,i){return this.isEmpty(t)&&(t=e),this.isArray(t)||(t=this.splitValues(t)),t.map(i)},createMap:function(){this.map=new google.maps.Map(this.mapContainer),this.map.addListener("click",this.onMapClick.bind(this)),this.map.$map=this.$map,this.$map.data("map",this.map)},createMarkers:function(){t.each(this.normalizeMarkerOptions(),function(t,e){this.createMarker(e)}.bind(this)),this.isUsingMarkerElements()&&t(n).on("click",this.options.markers,this.onMarkerElementClick.bind(this)).on("mouseenter",this.options.markers,this.onMarkerElementMouseEnter.bind(this)).on("mouseleave",this.options.markers,this.onMarkerElementMouseLeave.bind(this))},createMarker:function(t){var e,i,n;n={default:this.normalizeIcon("icon",t),hover:this.normalizeIcon("iconHover",t),open:this.normalizeIcon("iconOpen",t)},i=new google.maps.Marker(this.removeEmptyObjectProperties({position:this.createLatLng(t.lat||this.options.lat,t.lng||this.options.lng),icon:n.default,icons:n,label:t.label||this.options.label,title:t.title||this.options.title,infoWindow:t.infoWindow||this.options.infoWindow,infoWindowGroup:t.infoWindowGroup||"default",infoWindowOpen:t.infoWindowOpen||this.options.infoWindowOpen,infoWindowMaxWidth:t.infoWindowMaxWidth||this.options.infoWindowMaxWidth,map:this.map})),this.isUsingMarkerElements()&&(i.$marker=t.$marker,t.$marker.data("marker",i)),i.infoWindow=this.getInfoWindowContent(i),this.createInfoWindow(i),!0===t.fitbounds&&!0===this.options.fitbounds&&(this.options.fitbounds=!1,this.bounds=[]),!0!==t.fitbounds&&!0!==this.options.fitbounds||this.bounds.push(i),this.markers.push(i),!0===t.center&&this.setCenterCoordinates(t.lat,t.lng),null!==this.spiderfier&&this.spiderfier.trackMarker(i),e=this.shouldHandleClickOnSpiderfy()?"click":"spider_click",i.addListener(e,function(t){this.onMarkerClick(i,t)}.bind(this)),i.addListener("mouseover",function(t){this.onMarkerMouseEnter(i,t)}.bind(this)),i.addListener("mouseout",function(t){this.onMarkerMouseLeave(i,t)}.bind(this))},setMapOptions:function(){this.map.setOptions(this.removeEmptyObjectProperties({center:this.getMapCenterPosition(),gestureHandling:this.options.gestures,zoom:this.options.zoom,scrollwheel:this.options.scrollwheel,backgroundColor:this.options.backgroundColor,styles:this.options.styles,mapTypeId:this.options.mapTypes[0],mapTypeControl:this.options.mapTypes.length>1,zoomControl:this.isControlEnabled("zoom"),fullscreenControl:this.isControlEnabled("fullscreen"),streetViewControl:this.isControlEnabled("streetview"),rotateControl:this.isControlEnabled("rotate"),scaleControl:this.isControlEnabled("scale"),mapTypeControlOptions:{mapTypeIds:this.options.mapTypes,position:google.maps.ControlPosition[this.options.mapTypeControlPosition]},zoomControlOptions:{position:google.maps.ControlPosition[this.options.zoomControlPosition]},fullscreenControlOptions:{position:google.maps.ControlPosition[this.options.fullscreenControlPosition]},streetViewControlOptions:{position:google.maps.ControlPosition[this.options.streetviewControlPosition]},rotateControlOptions:{position:google.maps.ControlPosition[this.options.rotateControlPosition]}}))},getMapCenterPosition:function(){if(!this.options.centerLat||!this.options.centerLng){if(0===this.markers.length)return;this.setCenterCoordinates(this.markers[0].position.lat(),this.markers[0].position.lng())}return this.createLatLng(this.options.centerLat,this.options.centerLng)},setCenterCoordinates:function(t,e){this.options.centerLat=t,this.options.centerLng=e},fitBounds:function(){if(this.bounds.length>1){var e=new google.maps.LatLngBounds;t.each(this.bounds,function(t,i){e.extend(i.position)}),this.map.fitBounds(e,this.options.fitboundsPadding)}},enableSpiderfier:function(){this.shouldDisableSpiderfier()||(this.spiderfier=new OverlappingMarkerSpiderfier(this.map,this.options.spiderfierOptions),t.each(this.options.mapTypes,function(t,e){this.spiderfier.legColors.usual[e]=this.options.spiderLegColors[e]||"#444",this.spiderfier.legColors.highlighted[e]=this.options.spiderLegColorsHighlighted[e]||"#f00"}.bind(this)),this.spiderfier.addListener("format",this.onSpiderMarkerFormat.bind(this)))},shouldDisableSpiderfier:function(){return!this.classExists("OverlappingMarkerSpiderfier")||!1===this.options.spiderfy},shouldHandleClickOnSpiderfy:function(){return null===this.spiderfier||!0===this.options.spiderClick},enableClusters:function(){this.shouldDisableClusters()||(this.clusterer=new MarkerClusterer(this.map,this.markers,{title:this.options.clusterTitle,averageCenter:this.options.clusterCenter,gridSize:this.options.clusterGridSize,minimumClusterSize:this.options.clusterMinSize,maxZoom:this.options.clusterMaxZoom,zoomOnClick:this.options.clusterZoomOnClick,enableRetinaIcons:this.options.clusterRetina,calculator:this.options.clusterCalculator,styles:this.getClustersIconStyles()}),this.clusterer.addListener("click",this.onClusterClick.bind(this)),this.clusterer.addListener("mouseover",this.onClusterMouseEnter.bind(this)),this.clusterer.addListener("mouseout",this.onClusterMouseLeave.bind(this)))},shouldDisableClusters:function(){return!this.classExists("MarkerClusterer")||!1===this.options.clusters||this.markers.length<2},getClustersIconStyles:function(){if(this.isArray(this.options.clusterIcons))return this.options.clusterIcons;var t=this.splitValues(this.options.clusterIconSize);return[{width:t[0],height:t[1],url:this.options.clusterIcon,backgroundPosition:"0, 0",anchorIcon:[t[1]/2,t[0]/2],anchorText:[0,0],textColor:this.options.clusterTextColor,textSize:this.options.clusterTextSize,textDecoration:"none",fontFamily:"Arial, sans-serif",fontStyle:"normal",fontWeight:"bold"}]},normalizeMarkerOptions:function(){return this.mapHasSingleMarkerCoords()?[this.normalizeMarkerElement(this.$map)]:this.isUsingMarkerElements()?this.normalizeMarkerElements():this.isArray(this.options.markers)?this.options.markers:[]},normalizeMarkerElements:function(){var e=[];return t(this.options.markers).each(function(i,n){e.push(this.normalizeMarkerElement(t(n)))}.bind(this)),e},normalizeMarkerElement:function(t){return this.removeEmptyObjectProperties({lat:t.data("lat"),lng:t.data("lng"),center:t.data("center"),fitbounds:t.data("fitbounds"),label:t.data("label"),title:t.data("title"),icon:t.data("icon"),iconSize:t.data("icon-size"),iconOrigin:t.data("icon-origin"),iconAnchor:t.data("icon-anchor"),iconHover:t.data("icon-hover"),iconHoverSize:t.data("icon-hover-size"),iconHoverOrigin:t.data("icon-hover-origin"),iconHoverAnchor:t.data("icon-hover-anchor"),iconOpen:t.data("icon-open"),iconOpenSize:t.data("icon-open-size"),iconOpenOrigin:t.data("icon-open-origin"),iconOpenAnchor:t.data("icon-open-anchor"),infoWindow:t.data("info-window"),infoWindowGroup:t.data("info-window-group"),infoWindowOpen:t.data("info-window-open"),infoWindowMaxWidth:t.data("info-window-max-width"),$marker:t})},normalizeIcon:function(t,e){var i=this.removeEmptyObjectProperties({url:e[t]||this.options[t]||this.options.icon,scaledSize:this.createSize(e[t+"Size"]||this.options[t+"Size"]||this.options.iconSize),origin:this.createPoint(e[t+"Origin"]||this.options[t+"Origin"]||this.options.iconOrigin),anchor:this.createPoint(e[t+"Anchor"]||this.options[t+"Anchor"]||this.options.iconAnchor)});return i.url?i:null},getMapDataAttributes:function(){return this.removeEmptyObjectProperties({markers:this.$map.data("markers"),lat:this.$map.data("lat"),lng:this.$map.data("lng"),centerLat:this.$map.data("center-lat")||this.$map.data("lat"),centerLng:this.$map.data("center-lng")||this.$map.data("lng"),backgroundColor:this.$map.data("background-color"),mapType:this.$map.data("map-type"),gestures:this.$map.data("gestures"),zoom:this.$map.data("zoom"),scrollwheel:this.$map.data("scrollwheel"),controls:this.$map.data("controls"),mapTypeControlPosition:this.$map.data("map-type-control-position"),zoomControlPosition:this.$map.data("zoom-control-position"),fullscreenControlPosition:this.$map.data("fullscreen-control-position"),streetviewControlPosition:this.$map.data("streetview-control-position"),rotateControlPosition:this.$map.data("rotate-control-position"),icon:this.$map.data("icon"),iconSize:this.$map.data("icon-size"),iconOrigin:this.$map.data("icon-origin"),iconAnchor:this.$map.data("icon-anchor"),iconHover:this.$map.data("icon-hover"),iconHoverSize:this.$map.data("icon-hover-size"),iconHoverOrigin:this.$map.data("icon-hover-origin"),iconHoverAnchor:this.$map.data("icon-hover-anchor"),iconOpen:this.$map.data("icon-open"),iconOpenSize:this.$map.data("icon-open-size"),iconOpenOrigin:this.$map.data("icon-open-origin"),iconOpenAnchor:this.$map.data("icon-open-anchor"),hoverClass:this.$map.data("hover-class"),openClass:this.$map.data("open-class"),panToMarker:this.$map.data("pan-to-marker"),closeInfoWindowsOnMapClick:this.$map.data("close-info-windows-on-map-click"),triggerInfoWindowOnMarker:this.$map.data("trigger-info-window-on-marker"),triggerInfoWindowOnElement:this.$map.data("trigger-info-window-on-element"),infoWindowMaxWidth:this.$map.data("info-window-max-width"),fitbounds:this.$map.data("fitbounds"),fitboundsPadding:this.$map.data("fitbounds-padding"),spiderfy:this.$map.data("spiderfy"),spiderClick:this.$map.data("spider-click"),clusters:this.$map.data("clusters"),clusterTitle:this.$map.data("cluster-title"),clusterCenter:this.$map.data("cluster-center"),clusterGridSize:this.$map.data("cluster-grid-size"),clusterMinSize:this.$map.data("cluster-min-size"),clusterMaxZoom:this.$map.data("cluster-max-zoom"),clusterZoomOnClick:this.$map.data("cluster-zoom-on-click"),clusterRetina:this.$map.data("cluster-retina"),clusterIcon:this.$map.data("cluster-icon"),clusterIconSize:this.$map.data("cluster-icon-size"),clusterTextColor:this.$map.data("cluster-text-color"),clusterTextSize:this.$map.data("cluster-text-size")})},isMarkerWithinBounds:function(t){return this.map.getBounds().contains(t.position)},centerMarker:function(t){this.map.panTo(t.position)},goToMarker:function(t){for(this.centerMarker(t);null===t.map&&this.map.getZoom()<20&&this.clusterer;)this.map.setZoom(this.map.getZoom()+1),this.isMarkerWithinBounds(t)||this.centerMarker(t),this.clusterer.repaint()},createInfoWindow:function(t){var e;null!==t.infoWindow&&void 0===this.infoWindows[t.infoWindowGroup]&&(e=new google.maps.InfoWindow,e.addListener("closeclick",function(){this.closeInfoWindow(e)}.bind(this)),this.infoWindows[t.infoWindowGroup]=e)},openInfoWindow:function(t){var e,i;this.closeInfoWindows(t),t.infoWindow&&(e=this.infoWindows[t.infoWindowGroup],i=t.infoWindowMaxWidth||this.options.infoWindowMaxWidth,i&&e.setOptions({maxWidth:i}),t.icons.open&&t.setIcon(t.icons.open),t.isInfoWindowOpen=!0,this.addMarkerElementOpenClass(t),e.marker=t,e.setContent(t.infoWindow),e.open(this.map,t))},closeInfoWindows:function(t){this.closeInfoWindow(this.infoWindows[t.infoWindowGroup])},closeAllInfoWindows:function(){t.each(this.infoWindows,function(t,e){this.closeInfoWindow(e)}.bind(this))},closeInfoWindow:function(t){t&&(t.marker&&(t.marker.isInfoWindowOpen=!1,t.marker.setIcon(t.marker.icons.default),this.removeMarkerElementOpenClass(t.marker)),t.marker=null,t.close())},openDefaultInfoWindows:function(){var e=[];t.each(this.markers,function(t,i){this.shouldOpenInfoWindowOnLoad(i,e)&&(e.push(i.infoWindowGroup),this.openInfoWindow(i))}.bind(this))},shouldOpenInfoWindowOnLoad:function(t,e){return-1===e.indexOf(t.infoWindowGroup)&&!0===t.infoWindowOpen&&t.infoWindow},getInfoWindowContent:function(t){var e=null;return this.isString(t.infoWindow)&&(e=this.getInfoWindowContentFromMarkerOption(t.infoWindow.trim())),e||this.getInfoWindowContentFromChildElement(t.$marker)},getInfoWindowContentFromMarkerOption:function(e){return"."===e.substr(0,1)||"#"===e.substr(0,1)?t(e).html()||null:e.length>0?e:null},getInfoWindowContentFromChildElement:function(t){return t?t.find(this.options.infoWindowChildSelector).html()||null:null},createLatLng:function(t,e){return new google.maps.LatLng(t,e)},createSize:function(t){return t=this.splitValues(t),t?new google.maps.Size(t[0],t[1]):null},createPoint:function(t){return t=this.splitValues(t),t?new google.maps.Point(t[0],t[1]):null},mapHasSingleMarkerCoords:function(){return this.options.lat&&this.options.lng},isUsingMarkerElements:function(){return this.isString(this.options.markers)},isControlEnabled:function(t){return this.options.controls.indexOf(t)>-1},isEmpty:function(t){return null===t||void 0===t||void 0===t.length||0===t.length},isString:function(t){return"string"==typeof t||t instanceof String},isArray:function(t){return null!==t&&void 0!==t&&t.constructor===Array},classExists:function(t){return"function"==typeof e[t]&&"object"===i(e[t].prototype)},splitValues:function(t){return t?(t=t.split(","),t.map(function(t){return t.trim()})):null},removeEmptyObjectProperties:function(t){for(var e in t)null!==t[e]&&void 0!==t[e]||delete t[e];return t},addMarkerElementHoverClass:function(t){this.options.hoverClass&&t.$marker&&t.$marker.addClass(this.options.hoverClass)},removeMarkerElementHoverClass:function(t){this.options.hoverClass&&t.$marker&&t.$marker.removeClass(this.options.hoverClass)},addMarkerElementOpenClass:function(t){this.options.openClass&&t.$marker&&t.$marker.addClass(this.options.openClass)},removeMarkerElementOpenClass:function(t){this.options.openClass&&t.$marker&&t.$marker.removeClass(this.options.openClass)},shouldPanToMarker:function(t,e){return this.shouldAlwaysPanToMarker(t)||this.shouldPanToMarkerBecauseClusteredOrOutOfBounds(t,e)},shouldAlwaysPanToMarker:function(t){return this.options.panToMarker===t+"-always"||this.options.triggerInfoWindowOnElement===t+"-always"},shouldPanToMarkerBecauseClusteredOrOutOfBounds:function(t,e){return!(this.options.panToMarker!==t&&this.options.triggerInfoWindowOnElement!==t||null!==e.map&&this.isMarkerWithinBounds(e))},shouldOpenInfoWindowOnElementEvent:function(t){return this.options.triggerInfoWindowOnElement===t||this.options.triggerInfoWindowOnElement===t+"-always"},onInitialized:function(){this.runUserCallback(this.options.onSpiderMarkerFormat,this.map,this.map,this.markers,this.clusterer,this.spiderfier)},onMapClick:function(t){!0===this.options.closeInfoWindowsOnMapClick&&this.closeAllInfoWindows(),this.runUserCallback(this.options.onMapClick,this.map,this.map,this.markers,this.clusterer,this.spiderfier,t)},onMarkerClick:function(t,e){"click"===this.options.triggerInfoWindowOnMarker&&this.openInfoWindow(t),this.runUserCallback(this.options.onMarkerClick,t,t,this.map,this.markers,this.clusterer,this.spiderfier,e)},onMarkerMouseEnter:function(t,e){"hover"===this.options.triggerInfoWindowOnMarker&&this.openInfoWindow(t),t.icons.hover&&t.setIcon(t.icons.hover),this.addMarkerElementHoverClass(t),this.runUserCallback(this.options.onMarkerMouseEnter,t,t,this.map,this.markers,this.clusterer,this.spiderfier,e)},onMarkerMouseLeave:function(t,e){var i;"hover"===this.options.triggerInfoWindowOnMarker&&this.closeInfoWindows(t),t.icons.hover&&(i=t.isInfoWindowOpen?"open":"default",t.setIcon(t.icons[i])),this.removeMarkerElementHoverClass(t),this.runUserCallback(this.options.onMarkerMouseLeave,t,t,this.map,this.markers,this.clusterer,this.spiderfier,e)},onMarkerElementClick:function(e){var i=t(e.currentTarget).data("marker");this.handleMarkerElementEvent("click",i,e),this.runUserCallback(this.options.onMarkerElementClick,i,i,this.map,this.markers,this.clusterer,this.spiderfier,e)},onMarkerElementMouseEnter:function(e){var i=t(e.currentTarget).data("marker");i.icons.hover&&i.setIcon(i.icons.hover),this.addMarkerElementHoverClass(i),this.handleMarkerElementEvent("hover",i,e),this.runUserCallback(this.options.onMarkerElementMouseEnter,i,i,this.map,this.markers,this.clusterer,this.spiderfier,e)},onMarkerElementMouseLeave:function(e){var i,n=t(e.currentTarget).data("marker");n.icons.hover&&(i=n.isInfoWindowOpen?"open":"default",n.setIcon(n.icons[i])),this.removeMarkerElementHoverClass(n),this.shouldOpenInfoWindowOnElementEvent("hover")&&this.closeInfoWindows(n),this.runUserCallback(this.options.onMarkerElementMouseLeave,n,n,this.map,this.markers,this.clusterer,this.spiderfier,e)},handleMarkerElementEvent:function(t,e,i){this.shouldPanToMarker(t,e)&&(i.preventDefault(),this.goToMarker(e)),this.shouldOpenInfoWindowOnElementEvent(t)&&(i.preventDefault(),this.closeInfoWindows(e),null!==e.map&&this.openInfoWindow(e))},onClusterClick:function(t){this.runUserCallback(this.options.onClusterClick,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onClusterMouseEnter:function(t){this.runUserCallback(this.options.onClusterMouseEnter,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onClusterMouseLeave:function(t){this.runUserCallback(this.options.onClusterMouseLeave,t,t.getMarkers(),t,this.map,this.markers,this.clusterer,this.spiderfier)},onSpiderMarkerFormat:function(t,e){this.runUserCallback(this.options.onSpiderMarkerFormat,t,t,e,this.map,this.markers,this.clusterer,this.spiderfier)},runUserCallback:function(t,e){t instanceof Function&&t.apply(e,Array.prototype.slice.call(arguments,2))}}),t.fn.mapify=function(e){return this.each(function(){t.data(this,"plugin_mapify")||t.data(this,"plugin_mapify",new o(this,e))})}}(jQuery,window,document)},function(t,e,i){i(2),i(3),i(0)},function(t,e){function i(t,e){t.getMarkerClusterer().extend(i,google.maps.OverlayView),this.cluster_=t,this.className_=t.getMarkerClusterer().getClusterClass(),this.styles_=e,this.center_=null,this.div_=null,this.sums_=null,this.visible_=!1,this.setMap(t.getMap())}function n(t){this.markerClusterer_=t,this.map_=t.getMap(),this.gridSize_=t.getGridSize(),this.minClusterSize_=t.getMinimumClusterSize(),this.averageCenter_=t.getAverageCenter(),this.markers_=[],this.center_=null,this.bounds_=null,this.clusterIcon_=new i(this,t.getStyles())}function s(t,e,i){this.extend(s,google.maps.OverlayView),e=e||[],i=i||{},this.markers_=[],this.clusters_=[],this.listeners_=[],this.activeMap_=null,this.ready_=!1,this.gridSize_=i.gridSize||60,this.minClusterSize_=i.minimumClusterSize||2,this.maxZoom_=i.maxZoom||null,this.styles_=i.styles||[],this.title_=i.title||"",this.zoomOnClick_=!0,void 0!==i.zoomOnClick&&(this.zoomOnClick_=i.zoomOnClick),this.averageCenter_=!1,void 0!==i.averageCenter&&(this.averageCenter_=i.averageCenter),this.ignoreHidden_=!1,void 0!==i.ignoreHidden&&(this.ignoreHidden_=i.ignoreHidden),this.enableRetinaIcons_=!1,void 0!==i.enableRetinaIcons&&(this.enableRetinaIcons_=i.enableRetinaIcons),this.imagePath_=i.imagePath||s.IMAGE_PATH,this.imageExtension_=i.imageExtension||s.IMAGE_EXTENSION,this.imageSizes_=i.imageSizes||s.IMAGE_SIZES,this.calculator_=i.calculator||s.CALCULATOR,this.batchSize_=i.batchSize||s.BATCH_SIZE,this.batchSizeIE_=i.batchSizeIE||s.BATCH_SIZE_IE,this.clusterClass_=i.clusterClass||"cluster",-1!==navigator.userAgent.toLowerCase().indexOf("msie")&&(this.batchSize_=this.batchSizeIE_),this.setupStyles_(),this.addMarkers(e,!0),this.setMap(t)}i.prototype.onAdd=function(){var t,e,i=this;this.div_=document.createElement("div"),this.div_.className=this.className_,this.visible_&&this.show(),this.getPanes().overlayMouseTarget.appendChild(this.div_),this.boundsChangedListener_=google.maps.event.addListener(this.getMap(),"bounds_changed",function(){e=t}),google.maps.event.addDomListener(this.div_,"mousedown",function(){t=!0,e=!1}),google.maps.event.addDomListener(this.div_,"click",function(n){if(t=!1,!e){var s,o,r=i.cluster_.getMarkerClusterer();google.maps.event.trigger(r,"click",i.cluster_),google.maps.event.trigger(r,"clusterclick",i.cluster_),r.getZoomOnClick()&&(o=r.getMaxZoom(),s=i.cluster_.getBounds(),r.getMap().fitBounds(s),setTimeout(function(){r.getMap().fitBounds(s),null!==o&&r.getMap().getZoom()>o&&r.getMap().setZoom(o+1)},100)),n.cancelBubble=!0,n.stopPropagation&&n.stopPropagation()}}),google.maps.event.addDomListener(this.div_,"mouseover",function(){var t=i.cluster_.getMarkerClusterer();google.maps.event.trigger(t,"mouseover",i.cluster_)}),google.maps.event.addDomListener(this.div_,"mouseout",function(){var t=i.cluster_.getMarkerClusterer();google.maps.event.trigger(t,"mouseout",i.cluster_)})},i.prototype.onRemove=function(){this.div_&&this.div_.parentNode&&(this.hide(),google.maps.event.removeListener(this.boundsChangedListener_),google.maps.event.clearInstanceListeners(this.div_),this.div_.parentNode.removeChild(this.div_),this.div_=null)},i.prototype.draw=function(){if(this.visible_){var t=this.getPosFromLatLng_(this.center_);this.div_.style.top=t.y+"px",this.div_.style.left=t.x+"px"}},i.prototype.hide=function(){this.div_&&(this.div_.style.display="none"),this.visible_=!1},i.prototype.show=function(){if(this.div_){var t="",e=this.backgroundPosition_.split(" "),i=parseInt(e[0].replace(/^\s+|\s+$/g,""),10),n=parseInt(e[1].replace(/^\s+|\s+$/g,""),10),s=this.getPosFromLatLng_(this.center_);this.div_.style.cssText=this.createCss(s),t="<img src='"+this.url_+"' style='position: absolute; top: "+n+"px; left: "+i+"px; ",this.cluster_.getMarkerClusterer().enableRetinaIcons_||(t+="clip: rect("+-1*n+"px, "+(-1*i+this.width_)+"px, "+(-1*n+this.height_)+"px, "+-1*i+"px);"),t+="'>",this.div_.innerHTML=t+"<div style='position: absolute;top: "+this.anchorText_[0]+"px;left: "+this.anchorText_[1]+"px;color: "+this.textColor_+";font-size: "+this.textSize_+"px;font-family: "+this.fontFamily_+";font-weight: "+this.fontWeight_+";font-style: "+this.fontStyle_+";text-decoration: "+this.textDecoration_+";text-align: center;width: "+this.width_+"px;line-height:"+this.height_+"px;'>"+this.sums_.text+"</div>",void 0===this.sums_.title||""===this.sums_.title?this.div_.title=this.cluster_.getMarkerClusterer().getTitle():this.div_.title=this.sums_.title,this.div_.style.display=""}this.visible_=!0},i.prototype.useStyle=function(t){this.sums_=t;var e=Math.max(0,t.index-1);e=Math.min(this.styles_.length-1,e);var i=this.styles_[e];this.url_=i.url,this.height_=i.height,this.width_=i.width,this.anchorText_=i.anchorText||[0,0],this.anchorIcon_=i.anchorIcon||[parseInt(this.height_/2,10),parseInt(this.width_/2,10)],this.textColor_=i.textColor||"black",this.textSize_=i.textSize||11,this.textDecoration_=i.textDecoration||"none",this.fontWeight_=i.fontWeight||"bold",this.fontStyle_=i.fontStyle||"normal",this.fontFamily_=i.fontFamily||"Arial,sans-serif",this.backgroundPosition_=i.backgroundPosition||"0 0"},i.prototype.setCenter=function(t){this.center_=t},i.prototype.createCss=function(t){var e=[];return e.push("cursor: pointer;"),e.push("position: absolute; top: "+t.y+"px; left: "+t.x+"px;"),e.push("width: "+this.width_+"px; height: "+this.height_+"px;"),e.join("")},i.prototype.getPosFromLatLng_=function(t){var e=this.getProjection().fromLatLngToDivPixel(t);return e.x-=this.anchorIcon_[1],e.y-=this.anchorIcon_[0],e.x=parseInt(e.x,10),e.y=parseInt(e.y,10),e},n.prototype.getSize=function(){return this.markers_.length},n.prototype.getMarkers=function(){return this.markers_},n.prototype.getCenter=function(){return this.center_},n.prototype.getMap=function(){return this.map_},n.prototype.getMarkerClusterer=function(){return this.markerClusterer_},n.prototype.getBounds=function(){var t,e=new google.maps.LatLngBounds(this.center_,this.center_),i=this.getMarkers();for(t=0;t<i.length;t++)e.extend(i[t].getPosition());return e},n.prototype.remove=function(){this.clusterIcon_.setMap(null),this.markers_=[],delete this.markers_},n.prototype.addMarker=function(t){var e,i,n;if(this.isMarkerAlreadyAdded_(t))return!1;if(this.center_){if(this.averageCenter_){var s=this.markers_.length+1,o=(this.center_.lat()*(s-1)+t.getPosition().lat())/s,r=(this.center_.lng()*(s-1)+t.getPosition().lng())/s;this.center_=new google.maps.LatLng(o,r),this.calculateBounds_()}}else this.center_=t.getPosition(),this.calculateBounds_();if(t.isAdded=!0,this.markers_.push(t),i=this.markers_.length,null!==(n=this.markerClusterer_.getMaxZoom())&&this.map_.getZoom()>n)t.getMap()!==this.map_&&t.setMap(this.map_);else if(i<this.minClusterSize_)t.getMap()!==this.map_&&t.setMap(this.map_);else if(i===this.minClusterSize_)for(e=0;e<i;e++)this.markers_[e].setMap(null);else t.setMap(null);return this.updateIcon_(),!0},n.prototype.isMarkerInClusterBounds=function(t){return this.bounds_.contains(t.getPosition())},n.prototype.calculateBounds_=function(){var t=new google.maps.LatLngBounds(this.center_,this.center_);this.bounds_=this.markerClusterer_.getExtendedBounds(t)},n.prototype.updateIcon_=function(){var t=this.markers_.length,e=this.markerClusterer_.getMaxZoom();if(null!==e&&this.map_.getZoom()>e)return void this.clusterIcon_.hide();if(t<this.minClusterSize_)return void this.clusterIcon_.hide();var i=this.markerClusterer_.getStyles().length,n=this.markerClusterer_.getCalculator()(this.markers_,i);this.clusterIcon_.setCenter(this.center_),this.clusterIcon_.useStyle(n),this.clusterIcon_.show()},n.prototype.isMarkerAlreadyAdded_=function(t){var e;if(this.markers_.indexOf)return-1!==this.markers_.indexOf(t);for(e=0;e<this.markers_.length;e++)if(t===this.markers_[e])return!0;return!1},s.prototype.onAdd=function(){var t=this;this.activeMap_=this.getMap(),this.ready_=!0,this.repaint(),this.listeners_=[google.maps.event.addListener(this.getMap(),"zoom_changed",function(){t.resetViewport_(!1),this.getZoom()!==(this.get("minZoom")||0)&&this.getZoom()!==this.get("maxZoom")||google.maps.event.trigger(this,"idle")}),google.maps.event.addListener(this.getMap(),"idle",function(){t.redraw_()})]},s.prototype.onRemove=function(){var t;for(t=0;t<this.markers_.length;t++)this.markers_[t].getMap()!==this.activeMap_&&this.markers_[t].setMap(this.activeMap_);for(t=0;t<this.clusters_.length;t++)this.clusters_[t].remove();for(this.clusters_=[],t=0;t<this.listeners_.length;t++)google.maps.event.removeListener(this.listeners_[t]);this.listeners_=[],this.activeMap_=null,this.ready_=!1},s.prototype.draw=function(){},s.prototype.setupStyles_=function(){var t,e;if(!(this.styles_.length>0))for(t=0;t<this.imageSizes_.length;t++)e=this.imageSizes_[t],this.styles_.push({url:this.imagePath_+(t+1)+"."+this.imageExtension_,height:e,width:e})},s.prototype.fitMapToMarkers=function(){var t,e=this.getMarkers(),i=new google.maps.LatLngBounds;for(t=0;t<e.length;t++)i.extend(e[t].getPosition());this.getMap().fitBounds(i)},s.prototype.getGridSize=function(){return this.gridSize_},s.prototype.setGridSize=function(t){this.gridSize_=t},s.prototype.getMinimumClusterSize=function(){return this.minClusterSize_},s.prototype.setMinimumClusterSize=function(t){this.minClusterSize_=t},s.prototype.getMaxZoom=function(){return this.maxZoom_},s.prototype.setMaxZoom=function(t){this.maxZoom_=t},s.prototype.getStyles=function(){return this.styles_},s.prototype.setStyles=function(t){this.styles_=t},s.prototype.getTitle=function(){return this.title_},s.prototype.setTitle=function(t){this.title_=t},s.prototype.getZoomOnClick=function(){return this.zoomOnClick_},s.prototype.setZoomOnClick=function(t){this.zoomOnClick_=t},s.prototype.getAverageCenter=function(){return this.averageCenter_},s.prototype.setAverageCenter=function(t){this.averageCenter_=t},s.prototype.getIgnoreHidden=function(){return this.ignoreHidden_},s.prototype.setIgnoreHidden=function(t){this.ignoreHidden_=t},s.prototype.getEnableRetinaIcons=function(){return this.enableRetinaIcons_},s.prototype.setEnableRetinaIcons=function(t){this.enableRetinaIcons_=t},s.prototype.getImageExtension=function(){return this.imageExtension_},s.prototype.setImageExtension=function(t){this.imageExtension_=t},s.prototype.getImagePath=function(){return this.imagePath_},s.prototype.setImagePath=function(t){this.imagePath_=t},s.prototype.getImageSizes=function(){return this.imageSizes_},s.prototype.setImageSizes=function(t){this.imageSizes_=t},s.prototype.getCalculator=function(){return this.calculator_},s.prototype.setCalculator=function(t){this.calculator_=t},s.prototype.getBatchSizeIE=function(){return this.batchSizeIE_},s.prototype.setBatchSizeIE=function(t){this.batchSizeIE_=t},s.prototype.getClusterClass=function(){return this.clusterClass_},s.prototype.setClusterClass=function(t){this.clusterClass_=t},s.prototype.getMarkers=function(){return this.markers_},s.prototype.getTotalMarkers=function(){return this.markers_.length},s.prototype.getClusters=function(){return this.clusters_},s.prototype.getTotalClusters=function(){return this.clusters_.length},s.prototype.addMarker=function(t,e){this.pushMarkerTo_(t),e||this.redraw_()},s.prototype.addMarkers=function(t,e){var i;for(i in t)t.hasOwnProperty(i)&&this.pushMarkerTo_(t[i]);e||this.redraw_()},s.prototype.pushMarkerTo_=function(t){if(t.getDraggable()){var e=this;google.maps.event.addListener(t,"dragend",function(){e.ready_&&(this.isAdded=!1,e.repaint())})}t.isAdded=!1,this.markers_.push(t)},s.prototype.removeMarker=function(t,e){var i=this.removeMarker_(t);return!e&&i&&this.repaint(),i},s.prototype.removeMarkers=function(t,e){var i,n,s=!1;for(i=0;i<t.length;i++)n=this.removeMarker_(t[i]),s=s||n;return!e&&s&&this.repaint(),s},s.prototype.removeMarker_=function(t){var e,i=-1;if(this.markers_.indexOf)i=this.markers_.indexOf(t);else for(e=0;e<this.markers_.length;e++)if(t===this.markers_[e]){i=e;break}return-1!==i&&(t.setMap(null),this.markers_.splice(i,1),!0)},s.prototype.clearMarkers=function(){this.resetViewport_(!0),this.markers_=[]},s.prototype.repaint=function(){var t=this.clusters_.slice();this.clusters_=[],this.resetViewport_(!1),this.redraw_(),setTimeout(function(){var e;for(e=0;e<t.length;e++)t[e].remove()},0)},s.prototype.getExtendedBounds=function(t){var e=this.getProjection(),i=new google.maps.LatLng(t.getNorthEast().lat(),t.getNorthEast().lng()),n=new google.maps.LatLng(t.getSouthWest().lat(),t.getSouthWest().lng()),s=e.fromLatLngToDivPixel(i);s.x+=this.gridSize_,s.y-=this.gridSize_;var o=e.fromLatLngToDivPixel(n);o.x-=this.gridSize_,o.y+=this.gridSize_;var r=e.fromDivPixelToLatLng(s),a=e.fromDivPixelToLatLng(o);return t.extend(r),t.extend(a),t},s.prototype.redraw_=function(){this.createClusters_(0)},s.prototype.resetViewport_=function(t){var e,i;for(e=0;e<this.clusters_.length;e++)this.clusters_[e].remove();for(this.clusters_=[],e=0;e<this.markers_.length;e++)i=this.markers_[e],i.isAdded=!1,t&&i.setMap(null)},s.prototype.distanceBetweenPoints_=function(t,e){var i=(e.lat()-t.lat())*Math.PI/180,n=(e.lng()-t.lng())*Math.PI/180,s=Math.sin(i/2)*Math.sin(i/2)+Math.cos(t.lat()*Math.PI/180)*Math.cos(e.lat()*Math.PI/180)*Math.sin(n/2)*Math.sin(n/2);return 2*Math.atan2(Math.sqrt(s),Math.sqrt(1-s))*6371},s.prototype.isMarkerInBounds_=function(t,e){return e.contains(t.getPosition())},s.prototype.addToClosestCluster_=function(t){var e,i,s,o,r=4e4,a=null;for(e=0;e<this.clusters_.length;e++)s=this.clusters_[e],(o=s.getCenter())&&(i=this.distanceBetweenPoints_(o,t.getPosition()))<r&&(r=i,a=s);a&&a.isMarkerInClusterBounds(t)?a.addMarker(t):(s=new n(this),s.addMarker(t),this.clusters_.push(s))},s.prototype.createClusters_=function(t){var e,i,n,s=this;if(this.ready_){0===t&&(google.maps.event.trigger(this,"clusteringbegin",this),void 0!==this.timerRefStatic&&(clearTimeout(this.timerRefStatic),delete this.timerRefStatic)),n=this.getMap().getZoom()>3?new google.maps.LatLngBounds(this.getMap().getBounds().getSouthWest(),this.getMap().getBounds().getNorthEast()):new google.maps.LatLngBounds(new google.maps.LatLng(85.02070771743472,-178.48388434375),new google.maps.LatLng(-85.08136444384544,178.00048865625));var o=this.getExtendedBounds(n),r=Math.min(t+this.batchSize_,this.markers_.length);for(e=t;e<r;e++)i=this.markers_[e],!i.isAdded&&this.isMarkerInBounds_(i,o)&&(!this.ignoreHidden_||this.ignoreHidden_&&i.getVisible())&&this.addToClosestCluster_(i);r<this.markers_.length?this.timerRefStatic=setTimeout(function(){s.createClusters_(r)},0):(delete this.timerRefStatic,google.maps.event.trigger(this,"clusteringend",this))}},s.prototype.extend=function(t,e){return function(t){var e;for(e in t.prototype)this.prototype[e]=t.prototype[e];return this}.apply(t,[e])},s.CALCULATOR=function(t,e){for(var i=0,n=t.length.toString(),s=n;0!==s;)s=parseInt(s/10,10),i++;return i=Math.min(i,e),{text:n,index:i,title:""}},s.BATCH_SIZE=2e3,s.BATCH_SIZE_IE=500,s.IMAGE_PATH="../images/m",s.IMAGE_EXTENSION="png",s.IMAGE_SIZES=[53,56,66,78,90]},function(t,e){(function(){var t,e,i,n,s,o={}.hasOwnProperty,r=[].slice;this.OverlappingMarkerSpiderfier=function(){function t(t,n){var s,r,h;this.map=t,null==n&&(n={}),null==this.constructor.N&&(this.constructor.N=!0,i=google.maps,e=i.event,a=i.MapTypeId,l.keepSpiderfied=!1,l.ignoreMapClick=!1,l.markersWontHide=!1,l.markersWontMove=!1,l.basicFormatEvents=!1,l.nearbyDistance=20,l.circleSpiralSwitchover=9,l.circleFootSeparation=23,l.circleStartAngle=u/12,l.spiralFootSeparation=26,l.spiralLengthStart=11,l.spiralLengthFactor=4,l.spiderfiedZIndex=i.Marker.MAX_ZINDEX+2e4,l.highlightedLegZIndex=i.Marker.MAX_ZINDEX+1e4,l.usualLegZIndex=i.Marker.MAX_ZINDEX+1,l.legWeight=1.5,l.legColors={usual:{},highlighted:{}},h=l.legColors.usual,r=l.legColors.highlighted,h[a.HYBRID]=h[a.SATELLITE]="#fff",r[a.HYBRID]=r[a.SATELLITE]="#f00",h[a.TERRAIN]=h[a.ROADMAP]="#444",r[a.TERRAIN]=r[a.ROADMAP]="#f00",this.constructor.j=function(t){return this.setMap(t)},this.constructor.j.prototype=new i.OverlayView,this.constructor.j.prototype.draw=function(){});for(s in n)o.call(n,s)&&(r=n[s],this[s]=r);this.g=new this.constructor.j(this.map),this.C(),this.c={},this.B=this.l=null,this.addListener("click",function(t,i){return e.trigger(t,"spider_click",i)}),this.addListener("format",function(t,i){return e.trigger(t,"spider_format",i)}),this.ignoreMapClick||e.addListener(this.map,"click",function(t){return function(){return t.unspiderfy()}}(this)),e.addListener(this.map,"maptypeid_changed",function(t){return function(){return t.unspiderfy()}}(this)),e.addListener(this.map,"zoom_changed",function(t){return function(){if(t.unspiderfy(),!t.basicFormatEvents)return t.h()}}(this))}var e,i,n,s,a,l,h,u,c;for(l=t.prototype,h=[t,l],n=0,s=h.length;n<s;n++)c=h[n],c.VERSION="1.0.1";return u=2*Math.PI,i=e=a=null,t.markerStatus={SPIDERFIED:"SPIDERFIED",SPIDERFIABLE:"SPIDERFIABLE",UNSPIDERFIABLE:"UNSPIDERFIABLE",UNSPIDERFIED:"UNSPIDERFIED"},l.C=function(){this.a=[],this.s=[]},l.addMarker=function(t,e){return t.setMap(this.map),this.trackMarker(t,e)},l.trackMarker=function(t,i){var n;return null!=t._oms?this:(t._oms=!0,n=[e.addListener(t,"click",function(e){return function(i){return e.V(t,i)}}(this))],this.markersWontHide||n.push(e.addListener(t,"visible_changed",function(e){return function(){return e.D(t,!1)}}(this))),this.markersWontMove||n.push(e.addListener(t,"position_changed",function(e){return function(){return e.D(t,!0)}}(this))),null!=i&&n.push(e.addListener(t,"spider_click",i)),this.s.push(n),this.a.push(t),this.basicFormatEvents?this.trigger("format",t,this.constructor.markerStatus.UNSPIDERFIED):this.h(),this)},l.D=function(t,e){if(!this.J&&!this.K)return null==t._omsData||!e&&t.getVisible()||this.unspiderfy(e?t:null),this.h()},l.getMarkers=function(){return this.a.slice(0)},l.removeMarker=function(t){return this.forgetMarker(t),t.setMap(null)},l.forgetMarker=function(t){var i,n,s,o,r;if(null!=t._omsData&&this.unspiderfy(),0>(i=this.A(this.a,t)))return this;for(r=this.s.splice(i,1)[0],n=0,s=r.length;n<s;n++)o=r[n],e.removeListener(o);return delete t._oms,this.a.splice(i,1),this.h(),this},l.removeAllMarkers=l.clearMarkers=function(){var t,e,i,n;for(n=this.getMarkers(),this[forgetAllMarkers](),t=0,e=n.length;t<e;t++)i=n[t],i.setMap(null);return this},l.forgetAllMarkers=function(){var t,i,n,s,o,r,a,l;for(this.unspiderfy(),l=this.a,t=i=0,n=l.length;i<n;t=++i){for(r=l[t],o=this.s[t],a=0,t=o.length;a<t;a++)s=o[a],e.removeListener(s);delete r._oms}return this.C(),this},l.addListener=function(t,e){var i;return(null!=(i=this.c)[t]?i[t]:i[t]=[]).push(e),this},l.removeListener=function(t,e){var i;return i=this.A(this.c[t],e),0>i||this.c[t].splice(i,1),this},l.clearListeners=function(t){return this.c[t]=[],this},l.trigger=function(){var t,e,i,n,s,o;for(e=arguments[0],t=2<=arguments.length?r.call(arguments,1):[],e=null!=(i=this.c[e])?i:[],o=[],n=0,s=e.length;n<s;n++)i=e[n],o.push(i.apply(null,t));return o},l.L=function(t,e){var n,s,o,r,a;for(r=this.circleFootSeparation*(2+t)/u,s=u/t,a=[],n=o=0;0<=t?o<t:o>t;n=0<=t?++o:--o)n=this.circleStartAngle+n*s,a.push(new i.Point(e.x+r*Math.cos(n),e.y+r*Math.sin(n)));return a},l.M=function(t,e){var n,s,o,r,a;for(r=this.spiralLengthStart,n=0,a=[],s=o=0;0<=t?o<t:o>t;s=0<=t?++o:--o)n+=this.spiralFootSeparation/r+5e-4*s,s=new i.Point(e.x+r*Math.cos(n),e.y+r*Math.sin(n)),r+=u*this.spiralLengthFactor/n,a.push(s);return a},l.V=function(t,e){var i,n,s,o,r,a,l,h,u;if((a=null!=t._omsData)&&this.keepSpiderfied||this.unspiderfy(),a||this.map.getStreetView().getVisible()||"GoogleEarthAPI"===this.map.getMapTypeId())return this.trigger("click",t,e);for(a=[],l=[],i=this.nearbyDistance,h=i*i,r=this.f(t.position),u=this.a,i=0,n=u.length;i<n;i++)s=u[i],null!=s.map&&s.getVisible()&&(o=this.f(s.position),this.i(o,r)<h?a.push({R:s,G:o}):l.push(s));return 1===a.length?this.trigger("click",t,e):this.W(a,l)},l.markersNearMarker=function(t,e){var i,n,s,o,r,a,l,h,u,c;if(null==e&&(e=!1),null==this.g.getProjection())throw"Must wait for 'idle' event on map before calling markersNearMarker";for(i=this.nearbyDistance,l=i*i,r=this.f(t.position),a=[],h=this.a,i=0,n=h.length;i<n&&!((s=h[i])!==t&&null!=s.map&&s.getVisible()&&(o=this.f(null!=(u=null!=(c=s._omsData)?c.v:void 0)?u:s.position),this.i(o,r)<l&&(a.push(s),e)));i++);return a},l.F=function(){var t,e,i,n,s,o,r,a,l,h,u;if(null==this.g.getProjection())throw"Must wait for 'idle' event on map before calling markersNearAnyOtherMarker";l=this.nearbyDistance,l*=l;var c;for(s=this.a,c=[],h=0,e=s.length;h<e;h++)n=s[h],c.push({H:this.f(null!=(t=null!=(i=n._omsData)?i.v:void 0)?t:n.position),b:!1});for(h=this.a,t=i=0,n=h.length;i<n;t=++i)if(e=h[t],null!=e.getMap()&&e.getVisible()&&(o=c[t],!o.b))for(u=this.a,e=a=0,s=u.length;a<s;e=++a)if(r=u[e],e!==t&&null!=r.getMap()&&r.getVisible()&&(r=c[e],(!(e<t)||r.b)&&this.i(o.H,r.H)<l)){o.b=r.b=!0;break}return c},l.markersNearAnyOtherMarker=function(){var t,e,i,n,s,o,r;for(s=this.F(),o=this.a,r=[],t=e=0,i=o.length;e<i;t=++e)n=o[t],s[t].b&&r.push(n);return r},l.setImmediate=function(t){return window.setTimeout(t,0)},l.h=function(){if(!this.basicFormatEvents&&null==this.l)return this.l=this.setImmediate(function(t){return function(){return t.l=null,null!=t.g.getProjection()?t.w():null!=t.B?void 0:t.B=e.addListenerOnce(t.map,"idle",function(){return t.w()})}}(this))},l.w=function(){var t,e,i,n,s,o,r;if(this.basicFormatEvents){for(s=[],e=0,i=markers.length;e<i;e++)n=markers[e],t=null!=n._omsData?"SPIDERFIED":"UNSPIDERFIED",s.push(this.trigger("format",n,this.constructor.markerStatus[t]));return s}for(s=this.F(),o=this.a,r=[],t=i=0,e=o.length;i<e;t=++i)n=o[t],t=null!=n._omsData?"SPIDERFIED":s[t].b?"SPIDERFIABLE":"UNSPIDERFIABLE",r.push(this.trigger("format",n,this.constructor.markerStatus[t]));return r},l.P=function(t){return{m:function(e){return function(){return t._omsData.o.setOptions({strokeColor:e.legColors.highlighted[e.map.mapTypeId],zIndex:e.highlightedLegZIndex})}}(this),u:function(e){return function(){return t._omsData.o.setOptions({strokeColor:e.legColors.usual[e.map.mapTypeId],zIndex:e.usualLegZIndex})}}(this)}},l.W=function(t,n){var s,o,r,a,l,h,u,c,p,d;return this.J=!0,d=t.length,s=this.T(function(){var e,i,n;for(n=[],e=0,i=t.length;e<i;e++)c=t[e],n.push(c.G);return n}()),a=d>=this.circleSpiralSwitchover?this.M(d,s).reverse():this.L(d,s),s=function(){var n,s,c;for(c=[],n=0,s=a.length;n<s;n++)r=a[n],o=this.U(r),p=this.S(t,function(t){return function(e){return t.i(e.G,r)}}(this)),u=p.R,h=new i.Polyline({map:this.map,path:[u.position,o],strokeColor:this.legColors.usual[this.map.mapTypeId],strokeWeight:this.legWeight,zIndex:this.usualLegZIndex}),u._omsData={v:u.position,o:h},this.legColors.highlighted[this.map.mapTypeId]!==this.legColors.usual[this.map.mapTypeId]&&(l=this.P(u),u._omsData.O={m:e.addListener(u,"mouseover",l.m),u:e.addListener(u,"mouseout",l.u)}),this.trigger("format",u,this.constructor.markerStatus.SPIDERFIED),u.setPosition(o),u.setZIndex(Math.round(this.spiderfiedZIndex+r.y)),c.push(u);return c}.call(this),delete this.J,this.I=!0,this.trigger("spiderfy",s,n)},l.unspiderfy=function(t){var i,n,s,o,r,a,l;if(null==t&&(t=null),null==this.I)return this;for(this.K=!0,l=[],r=[],a=this.a,i=0,n=a.length;i<n;i++)o=a[i],null!=o._omsData?(o._omsData.o.setMap(null),o!==t&&o.setPosition(o._omsData.v),o.setZIndex(null),s=o._omsData.O,null!=s&&(e.removeListener(s.m),e.removeListener(s.u)),delete o._omsData,o!==t&&(s=this.basicFormatEvents?"UNSPIDERFIED":"SPIDERFIABLE",this.trigger("format",o,this.constructor.markerStatus[s])),l.push(o)):r.push(o);return delete this.K,delete this.I,this.trigger("unspiderfy",l,r),this},l.i=function(t,e){var i,n;return i=t.x-e.x,n=t.y-e.y,i*i+n*n},l.T=function(t){var e,n,s,o,r;for(e=o=r=0,n=t.length;e<n;e++)s=t[e],o+=s.x,r+=s.y;return t=t.length,new i.Point(o/t,r/t)},l.f=function(t){return this.g.getProjection().fromLatLngToDivPixel(t)},l.U=function(t){return this.g.getProjection().fromDivPixelToLatLng(t)},l.S=function(t,e){var i,n,s,o,r,a;for(s=r=0,a=t.length;r<a;s=++r)o=t[s],o=e(o),(void 0===i||null===i||o<n)&&(n=o,i=s);return t.splice(i,1)[0]},l.A=function(t,e){var i,n,s;if(null!=t.indexOf)return t.indexOf(e);for(i=n=0,s=t.length;n<s;i=++n)if(t[i]===e)return i;return-1},t}(),e=/(\?.*(&|&amp;)|\?)spiderfier_callback=(\w+)/,t=document.currentScript,null==t&&(t=function(){var t,i,n,o,r;for(n=document.getElementsByTagName("script"),r=[],t=0,i=n.length;t<i;t++)s=n[t],null!=(o=s.getAttribute("src"))&&o.match(e)&&r.push(s);return r}()[0]),null!=t&&(t=null!=(i=t.getAttribute("src"))&&null!=(n=i.match(e))?n[3]:void 0)&&"function"==typeof window[t]&&window[t](),"function"==typeof window.spiderfier_callback&&window.spiderfier_callback()}).call(this)},,function(t,e,i){t.exports=i(1)}]);